torqee Developers
Api reference/Boards

List session boards

Returns AI-generated board contents for a session. Requires the torqee:boards:read scope.

GET
/api/v1/sessions/{sessionId}/boards
AuthorizationBearer <token>

OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.

In: header

Scope: torqee:boards:read

Path Parameters

sessionIdstring

Response Body

curl -X GET "https://connect.torqee.app/api/v1/sessions/string/boards"
fetch("https://connect.torqee.app/api/v1/sessions/string/boards")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://connect.torqee.app/api/v1/sessions/string/boards"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://connect.torqee.app/api/v1/sessions/string/boards"

response = requests.request("GET", url)

print(response.text)
{
  "items": [
    {
      "id": "string",
      "boardId": "string",
      "version": 0,
      "status": "string",
      "isCurrent": true,
      "sourceRevisionKind": "string",
      "createdAt": "string"
    }
  ]
}
{
  "error": "unauthorized"
}
{
  "error": "insufficient_scope"
}
{
  "error": "not_found"
}
{
  "error": "internal_server_error"
}